com.threerings.whirled.spot.data

## Class SceneLocation

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.whirled.spot.data.SceneLocation

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.dobj.DSet.Entry

    public class SceneLocation
    extends com.threerings.io.SimpleStreamableObject
    implements com.threerings.presents.dobj.DSet.Entry

Extends `Location` with the data and functionality needed to represent a particular user's location in a scene.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`int` `bodyOid` The oid of the body that occupies this location.
`Location` `loc` The actual location, which is interpreted by the display system.

### Constructor Summary

Constructors
Constructor and Description
`SceneLocation()` Creates a blank instance suitable for unserialization.
`SceneLocation(Location loc, int bodyOid)` Creates a scene location with the specified information.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`Comparable<?>` `getKey()`
`int` `hashCode()`

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bodyOid

    public int bodyOid

The oid of the body that occupies this location.

#### loc

    public Location loc

The actual location, which is interpreted by the display system.

### Constructor Detail

#### SceneLocation

    public SceneLocation(Location loc,
                         int bodyOid)

Creates a scene location with the specified information.

#### SceneLocation

    public SceneLocation()

Creates a blank instance suitable for unserialization.

### Method Detail

#### getKey

    public Comparable<?> getKey()

Specified by:
  `getKey` in interface `com.threerings.presents.dobj.DSet.Entry`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`